NJS(4) | Device Drivers Manual | NJS(4)

# NAME

`njs` —
Workbit NinjaSCSI-32 PCI/CardBus SCSI driver

# SYNOPSIS

`njs* at pci? dev ? function ?`
`njs* at cardbus? function ?`

# DESCRIPTION

The `njs` driver provides support for the following Workbit Bus-Master PCI/CardBus Ultra Narrow SCSI controller chips:

NinjaSCSI-32Bi
  CardBus / PCMCIA dual mode device (“DuoSCSI”). This driver supports the CardBus mode.
NinjaSCSI-32UDE
  PCI / CardBus device with DualEdge transfer (40MB/s max.) capability.

# SEE ALSO

cardbus(4), cd(4), ch(4), pci(4), scsi(4), sd(4), st(4), uk(4)

# HISTORY

The `njs` device driver first appeared in NetBSD 1.6.3.

# AUTHORS

ITOH Yasufumi

# BUGS

DualEdge transfer is not currently supported.

August 26, 2004 | NetBSD 9.4